Subject: 23.0.91; wacky behavior of "v" command in *vc-dir* buffer

From: Miles Bader <[email-masked]>
Date: Fri, 13 Mar 2009 08:58:29 +0900

In the *vc-dir* buffer, if the cursor is on a source file entry, "v"
operates on the file under the cursor.

However, if "v" is used on a non-file line, the behavior is kind of
weird:  It pops up a *vc-log* buffer, and allows you to enter a log
message, but then typing C-c C-c (`log-edit-done') in the *vc-log*
buffer to finish the commit results in an error:

   vc-find-backend-function: Cannot open load file: vc-nil

What I _expected_ to happen is for it to commit every changed file in
the *vc-dir* buffer; this behavior is not only fairly natural (I think),
but also suggested by actions of vc prior to the error:

  (1) Using the C-c C-f command (`log-edit-show-files') *vc-log* shows
      the directory name as the "files" (in *log-edit-files* buffer)

  (2) The C-c C-c command in *vc-log*, prior to the above error,
      displays the message (where DIRNAME is the directory name):

         Checking in DIRNAME...

Thanks,

-Miles

In GNU Emacs 23.0.91.10 (x86_64-unknown-linux-gnu, GTK+ Version 2.15.5)
 of 2009-03-12 on catnip
Windowing system distributor `The X.Org Foundation', version 11.0.10599902
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: @im=SCIM
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: VC dir

Minor modes in effect:
  diff-auto-refine-mode: t
  vc-parent-buffer: *vc-dir*
  rcirc-track-minor-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
SPC t h e SPC " * " SPC o p e r a t i o n <escape> 
h s <backspace> o p e r a t i o n ) M-b M-b M-b M-b 
M-b M-b M-h M-f M-d <escape> g C-n , SPC i n s t e 
a d SPC o f SPC a s SPC a SPC n u m b e r SPC o f SPC 
s t o p s SPC ( " * + <backspace> <backspace> + " ) 
SPC a s SPC w a s SPC p r e v i o u s l y SPC d o n 
e . C-p <escape> b <escape> b <escape> h <escape> d 
C-d <escape> g C-n C-n <return> <return> T h i SPC 
i s SPC <escape> b C-b s C-e a n SPC i n c o m p a 
t i b l e SPC c h a n g e , SPC b u t SPC I SPC f i 
n d SPC i t SPC m o r e SPC i n C-p C-SPC C-n C-n t 
u i t i v e SPC ( I SPC w a s SPC C-p C-SPC C-n C-n 
C-w C-n C-n C-x C-s C-s C-s C-g C-g C-g C-p C-e C-p 
C-M-b M-b M-b a SPC <escape> f <backspace> <backspace> 
e <backspace> <backspace> e SPC f a c t o r <escape> 
g C-n C-n C-n C-c C-c C-x p C-n C-n C-x o C-x n C-x 
h <escape> w C-x p C-n C-n v C-c C-c C-x n C-x n C-n 
v C-c C-c C-x s e d e C-a C-x k <return> y e s <return> 
<escape> x r e p o r t - e m SPC <return>

Recent messages:
Mark set [3 times]
Press C-c C-c when you are done editing.
Enter a change comment.  Type C-c C-c when done
Checking in /home/miles/src/snogray/snogray/...
xding
vc-find-backend-function: Cannot open load file: vc-nil
Mark set
Press C-c C-c when you are done editing.
Enter a change comment.  Type C-c C-c when done
Checking in /home/miles/src/snogray/snogray/image-cmdline.cc...done

-- 
`To alcohol!  The cause of, and solution to,
 all of life's problems' --Homer J. Simpson